Description

If an MOSDOp is received with a reqid that matches a missing object, and we have the prior version (or no prior version exists),

replay the operation.

This is faster than recovering the object first (if we know where to find it), and better than nothing if the object is unfound.

I suspect the main challenge will be fiddling with the do_op code to replay the operation and reuse the old version.

History

#1 - 10/31/2011 09:00 AM - Sage Weil

- Target version changed from v0.38 to v0.39

#2 - 10/31/2011 09:12 AM - Sage Weil

- Target version deleted (v0.39)

- translation missing: en.field_position set to 27

#3 - 11/08/2011 10:20 PM - Sage Weil

- translation missing: en.field_position deleted (24)

- translation missing: en.field_position set to 33

#4 - 11/08/2011 10:21 PM - Sage Weil

- translation missing: en.field_position deleted (33)

- translation missing: en.field_position set to 35

#5 - 03/08/2012 09:51 AM - Sage Weil

- translation missing: en.field_position deleted (189)

- translation missing: en.field_position set to 364

#6 - 03/04/2019 10:23 PM - Patrick Donnelly

- Project changed from Ceph to RADOS

- Category deleted (OSD)

- Start date deleted (10/07/2011)

- Component(RADOS) OSD added
